body {
    font-family: var(--body-font-family), sans-serif;
    font-weight: var(--body-font-weight);
    color: var(--body-color);
    font-size: var(--body-font-size);
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--heading-font-family), sans-serif;
    font-weight: var(--heading-font-weight);
}

table thead * {
    font-weight: 600 !important;
    color: var(--tw-text-secondary);
}

// ******************************************* OVERRULING VUETIFY ELEMENTS STYLING TO MATCH DESIGN IN FIGMA ********************************************************
// ******************************************************* PLEASE DON'T CHANGE STYLING BELOW ***********************************************************************

// *** NOTE *** //
// Custom Vuetify styling must be done in main.ts
// Styling below is only here for customize non global vuetify stuff in order to match design in Figma

.v-input__details {
    padding-left: 0px !important;
}

// VTextField - Custom styling for VTextField to match design in Figma
.v-field--variant-outlined .v-label.v-field-label--floating {
    position: relative !important;
    top: -16px !important;
    left: -15px !important;
    font-size: 14px;
}

.v-field--variant-outlined {
    border: 1px solid var(--tw-border-gray-border) !important;
    border-radius: 8px !important;
    background-color: #fff;
}

.v-field--focused {
    border: 1px solid var(--tw-border-secondary) !important;
}

.v-field__outline__notch::before,
.v-field__outline__notch::after {
    display: none;
}

.v-field__outline * {
    border: none !important;
}

// VCard > VTable - Remove padding when table is inside v-card on show pages ---/ UPDATE 11-04-24: Commented out because it was causing issues with tables nested in cards and show pages, refactor will follow.
.v-card .v-table td {
    // padding: 0px !important;
}

.v-list-item-title {
    font-weight: var(--body-font-weight) !important;
}

span.v-btn__overlay {
    opacity: 0 !important;
}
.v-date-picker-month__weeks {
    row-gap: 0px !important;
}

.v-pagination__list {
    justify-content: end !important;
}

// ******************************************************* PLEASE DON'T CHANGE STYLING ABOVE ***********************************************************************
